%{?nodejs_find_provides_and_requires}

Name:           nodejs-npm-registry-client
Version:        8.6.0
Release:        1%{?dist}
Summary:        Client for the npm registry

Group:          System Environment/Libraries
License:        BSD
URL:            https://github.com/isaacs/npm-registry-client
Source0:        https://registry.npmjs.org/npm-registry-client/-/npm-registry-client-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
BuildArch:      noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(graceful-fs)
BuildRequires:  npm(negotiator)
#BuildRequires:  npm(nock)
BuildRequires:  npm(normalize-package-data)
BuildRequires:  npm(npm-package-arg)
BuildRequires:  npm(npmlog)
BuildRequires:  npm(once)
BuildRequires:  npm(readable-stream)
BuildRequires:  npm(request)
BuildRequires:  npm(retry)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(semver)

%description
Client for the npm registry, or private servers using the npm registry software.


%prep
%setup -q -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep request "^2.25.0"
%nodejs_fixdep retry "^0.8.0"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/npm-registry-client
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/npm-registry-client
%nodejs_symlink_deps


%check
%{nodejs_symlink_deps} --check
# optional dependency, but needed for tests
ln -s %{nodejs_sitelib}/npmlog node_modules
# needs npm(nock)
#rm test/star.js
#Tests disabled, as our version of npm(tap) in Fedora is too old
#%tap test/*.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/npm-registry-client


%changelog
* Sat Jul 21 2018 Parag Nemade <pnemade AT fedoraproject DOT org> - 8.6.0-1
- Update to 8.6.0 version

* Thu Jul 19 2018 Tom Hughes <tom@compton.nu> - 8.5.1-3
- Update npm(retry) dependency

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 8.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Apr 28 2018 Jared K. Smith <jsmith@fedoraproject.org> - 8.5.1-1
- Update to upstream 8.5.1 release

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 29 2016 Tom Hughes <tom@compton.nu> - 7.1.0-1
- Update to 7.1.0 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Tom Hughes <tom@compton.nu> - 7.0.9-1
- Update to 7.0.9 upstream release
- Enable tests

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 0.2.28-6
- Update npm(mkdirp) dependency

* Thu Dec 31 2015 Tom Hughes <tom@compton.nu> - 0.2.28-5
- fix graceful-fs dep for 4.1.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.28-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 16 2015 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.28-3
- backport fixes to publish and adduser functions (RHBZ#1220472)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.28-1
- update to upstream release 0.2.28
- add ExclusiveArch logic

* Tue Jul 30 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.27-2
- fix semver dep

* Fri Jul 12 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.27-1
- new upstream release 0.2.27

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.25-1
- new upstream release 0.2.25

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.20-3
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.20-2
- add macro for EPEL6 dependency generation

* Wed Apr 03 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.20-1
- new upstream release 0.2.20

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.18-2
- fix request dep

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.18-1
- new upstream release 0.2.18

* Wed Feb 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.15-1
- new upstream release 0.2.15
- graceful-fs dep good now

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.13-2
- fix graceful-fs dep for 1.2.0

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.13-1
- new upstream release 0.2.13

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.11-2
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.11-1
- initial package generated by npm2rpm
